@echo off
rem ****************************************************************************
rem *                                                                          *
rem * Install batch file for:                                                  *
rem *                                                                          *
rem * MQSeries Publish/Subscribe function SDK                                  *
rem *                                                                          *
rem * Usage: 'install <drive:directory>'                                       *
rem *        For the drive and directory where MQSeries was installed.         *
rem *        For example: 'install c:\mqm' or                                  *
rem *                     'install "c:\Program Files\mqm"'                     *
rem *        Note quotes are required in the second example.                   *
rem *                                                                          *
rem ****************************************************************************
if %1x==x goto usage
copy bin\amqfcxaa.exe  %1\bin\
if errorlevel 1 goto end
copy bin\amqfcxba.exe  %1\bin\
if errorlevel 1 goto end
copy bin\clrmqbrk.exe  %1\bin\
if errorlevel 1 goto end
copy bin\dltmqbrk.exe  %1\bin\
if errorlevel 1 goto end
copy bin\dspmqbrk.exe  %1\bin\
if errorlevel 1 goto end
copy bin\endmqbrk.exe  %1\bin\
if errorlevel 1 goto end
copy bin\strmqbrk.exe  %1\bin\
if errorlevel 1 goto end
copy bin\cfgmqbrk.exe  %1\bin\
if errorlevel 1 goto end
copy bin\migmqbrk.exe  %1\bin\
if errorlevel 1 goto end
copy bin\samples\amqsgam.exe %1\tools\c\samples\bin\
if errorlevel 1 goto end
copy bin\samples\amqspsd.exe %1\tools\c\samples\bin\
if errorlevel 1 goto end
copy bin\samples\amqsres.exe %1\tools\c\samples\bin\
if errorlevel 1 goto end
rem ****************************************************************************
rem * create directory pubsub and pubsub\admin                                 *
rem ****************************************************************************
xcopy samples %1\tools\c\samples\pubsub\ /t
if errorlevel 1 goto end
copy samples\amqsfmda.tst %1\tools\c\samples\pubsub\
if errorlevel 1 goto end
copy samples\amqsgama.c   %1\tools\c\samples\pubsub\
if errorlevel 1 goto end
copy samples\amqsgama.tst %1\tools\c\samples\pubsub\
if errorlevel 1 goto end
copy samples\amqspsra.c   %1\tools\c\samples\pubsub\
if errorlevel 1 goto end
copy samples\amqsresa.c   %1\tools\c\samples\pubsub\
if errorlevel 1 goto end
copy samples\amqsresa.tst %1\tools\c\samples\pubsub\
if errorlevel 1 goto end
copy samples\admin\amqspsda.c   %1\tools\c\samples\pubsub\admin\
if errorlevel 1 goto end
copy samples\admin\amqspsda.tst %1\tools\c\samples\pubsub\admin\
if errorlevel 1 goto end
rem ****************************************************************************
rem * If we got this far we have copied all the files                          *
rem ****************************************************************************
@echo MQSeries Publish/Subscribe function SDK successfully installed
goto end
:usage
@echo *************************************************************
@echo * Incorrect usage                                           *
@echo * ---------------                                           *
@echo * Usage:                                                    *
@echo * install (drive:directory)                                 *
@echo * For the drive and directory where MQSeries was installed. *
@echo * For example: 'install c:\mqm' or                          *
@echo *              'install "c:\Program Files\mqm"'             *
@echo * Note quotes are required in the second example.           *
@echo *                                                           *
@echo *************************************************************
:end
